org.springframework.cloud.dataflow.server.batch

## Class JdbcSearchableStepExecutionDao

- java.lang.Object
- - org.springframework.batch.core.repository.dao.AbstractJdbcBatchMetadataDao
  - - org.springframework.batch.core.repository.dao.JdbcStepExecutionDao
    - - org.springframework.cloud.dataflow.server.batch.JdbcSearchableStepExecutionDao

- All Implemented Interfaces:
    org.springframework.batch.core.repository.dao.StepExecutionDao, org.springframework.beans.factory.InitializingBean, SearchableStepExecutionDao

      public class JdbcSearchableStepExecutionDao
      extends org.springframework.batch.core.repository.dao.JdbcStepExecutionDao
      implements SearchableStepExecutionDao

  Author:
    Dave Syer, Michael Minella, Glenn Renfro

- - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.repository.dao.AbstractJdbcBatchMetadataDao

      `DEFAULT_EXIT_MESSAGE_LENGTH, DEFAULT_TABLE_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcSearchableStepExecutionDao()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `int` | `countStepExecutions(String jobName, String stepName)` Count all the step executions for a given step name pattern.
    `int` | `countStepExecutionsForJobExecution(long jobExecutionId)` Count all the step executions for a given job execution.
    `Collection<org.springframework.batch.core.StepExecution>` | `findStepExecutions(String jobName, String stepName, int start, int count)` Find all the step executions for a given step name, or step name pattern (with wildcards specified as '*') sorted in descending order of id.
    `Collection<String>` | `findStepNamesForJobExecution(String jobName, String excludesPattern)` Find all the names of steps that have been executed as part of this job.
    `void` | `setDataSource(DataSource dataSource)`

    - ### Methods inherited from class org.springframework.batch.core.repository.dao.JdbcStepExecutionDao

      `addStepExecutions, countStepExecutions, getLastStepExecution, getStepExecution, saveStepExecution, saveStepExecutions, setExitMessageLength, setStepExecutionIncrementer, updateStepExecution`

    - ### Methods inherited from class org.springframework.batch.core.repository.dao.AbstractJdbcBatchMetadataDao

      `getClobTypeToUse, getJdbcTemplate, getQuery, getTablePrefix, setClobTypeToUse, setJdbcTemplate, setTablePrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.batch.core.repository.dao.StepExecutionDao

      `addStepExecutions, countStepExecutions, getLastStepExecution, getStepExecution, saveStepExecution, saveStepExecutions, updateStepExecution`

- - ### Constructor Detail

    - #### JdbcSearchableStepExecutionDao

          public JdbcSearchableStepExecutionDao()

  - ### Method Detail

    - #### setDataSource

          public void setDataSource(DataSource dataSource)

      Parameters:
        `dataSource` - the dataSource to set

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Overrides:
        `afterPropertiesSet` in class `org.springframework.batch.core.repository.dao.JdbcStepExecutionDao`
      Throws:
        `Exception`
      See Also:
        `JdbcJobExecutionDao.afterPropertiesSet()`

    - #### findStepNamesForJobExecution

          public Collection<String> findStepNamesForJobExecution(String jobName,
                                                                 String excludesPattern)

      Description copied from interface: `SearchableStepExecutionDao`
      Find all the names of steps that have been executed as part of this job. Implementations should remove step names matching the pattern provided.
      Specified by:
        `findStepNamesForJobExecution` in interface `SearchableStepExecutionDao`
      Parameters:
        `jobName` - the name of the job to search for
        `excludesPattern` - a pattern for step names to exclude
      Returns:
        the names of step executions from job executions in the repository

    - #### findStepExecutions

          public Collection<org.springframework.batch.core.StepExecution> findStepExecutions(String jobName,
                                                                                             String stepName,
                                                                                             int start,
                                                                                             int count)

      Description copied from interface: `SearchableStepExecutionDao`
      Find all the step executions for a given step name, or step name pattern (with wildcards specified as '*') sorted in descending order of id.
      Specified by:
        `findStepExecutions` in interface `SearchableStepExecutionDao`
      Parameters:
        `jobName` - the job name or pattern
        `stepName` - the step name or pattern
        `start` - the start index of the step executions to return
        `count` - the maximum number of step executions to return
      Returns:
        a collection of step executions

    - #### countStepExecutions

          public int countStepExecutions(String jobName,
                                         String stepName)

      Description copied from interface: `SearchableStepExecutionDao`
      Count all the step executions for a given step name pattern.
      Specified by:
        `countStepExecutions` in interface `SearchableStepExecutionDao`
      Parameters:
        `jobName` - the job name pattern
        `stepName` - the step name pattern.
      Returns:
        the total number of step executions in the repository matching the pattern

    - #### countStepExecutionsForJobExecution

          public int countStepExecutionsForJobExecution(long jobExecutionId)

      Description copied from interface: `SearchableStepExecutionDao`
      Count all the step executions for a given job execution.
      Specified by:
        `countStepExecutionsForJobExecution` in interface `SearchableStepExecutionDao`
      Parameters:
        `jobExecutionId` - the job execution to retrieve count from.
      Returns:
        the total number of step executions in the repository for the job execution

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.